gnutls_pkcs12_bag_get_data(3)

NAME
gnutls_pkcs12_bag_get_data - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_get_data(gnutls_pkcs12_bag_t bag, unsigned indx, gnutls_datum_t * data);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

unsigned indx
    The element of the bag to get the data from

gnutls_datum_t * data
    where the bag's data will be. Should be treated as constant.

DESCRIPTION
This function will return the bag's data. The data is a constant that is stored into the bag. Should not be accessed after the bag is deleted.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/